/* <build/install directory>/include/config.h.  Generated by cmake from
*  <source directory (CMakeLists.txt)>/config.h.cmake */

/* ADOL-C adouble late initialization mode */
/* #undef ADOLC_ADOUBLE_LATEINIT */

/* ADOL-C adouble zeroing mode */
#cmakedefine ADOLC_ADOUBLE_STDCZERO ${ADOLC_ADOUBLE_STDCZERO}

/* defined if adjoinable MPI support is to be compiled in */
/* #undef ADOLC_AMPI_SUPPORT */

/* ADOL-C debug mode */
#cmakedefine ADOLC_DEBUG

/* ADOL-C hard debug mode */
#cmakedefine ADOLC_HARDDEBUG

/* ADOL-C Patchlevel */
#define ADOLC_PATCHLEVEL ${ADOLC_PATCHLEVEL}

/* ADOL-C Subversion */
#define ADOLC_SUBVERSION ${ADOLC_SUBVERSION}

/* ADOL-C tape_doc routine computes values */
#define ADOLC_TAPE_DOC_VALUES ${ADOLC_TAPE_DOC_VALUES}

/* ADOL-C thread save errno mode */
#cmakedefine ADOLC_THREADSAVE_ERRNO

/* Use calloc instead of malloc for memory allocation */
#define ADOLC_USE_CALLOC 1

/* ADOL-C Version */
#define ADOLC_VERSION ${ADOLC_VERSION}

/* Boost pool should not assume multithreading */
#define BOOST_POOL_NO_MT 1

/* define if the Boost library is available */
#define HAVE_BOOST /**/

/* Define to 1 if you have the <boost/pool/pool_alloc.hpp> header file. */
#define HAVE_BOOST_POOL_POOL_ALLOC_HPP 1

/* define if the Boost::System library is available */
#cmakedefine HAVE_BOOST_SYSTEM /**/

/* Define if the compiler provides __builtin_expect */
#cmakedefine HAVE_BUILTIN_EXPECT 1

/* define if the compiler supports basic C++11 syntax */
#define HAVE_CXX11 1

/* Define to 1 if you have the <dlfcn.h> header file. */
#cmakedefine HAVE_DLFCN_H 1

/* Define to 1 if you have the `floor' function. */
#cmakedefine HAVE_FLOOR 1

/* Define to 1 if you have the `fmax' function. */
#define HAVE_FMAX 1

/* Define to 1 if you have the `fmin' function. */
#define HAVE_FMIN 1

/* Define to 1 if you have the `ftime' function. */
#cmakedefine HAVE_FTIME 1

/* Define to 1 if you have the <inttypes.h> header file. */
#cmakedefine HAVE_INTTYPES_H 1

/* Define 1 if ColPack is available */
#cmakedefine HAVE_LIBCOLPACK 1

/* Define to 1 if your system has a GNU libc compatible `malloc' function, and
   to 0 otherwise. */
#cmakedefine HAVE_MALLOC 1

/* Define to 1 if you have the <memory.h> header file. */
#cmakedefine HAVE_MEMORY_H 1

/* Define to 1 if you have the `pow' function. */
#define HAVE_POW 1

/* Define to 1 if your system has a GNU libc compatible `realloc' function,
   and to 0 otherwise. */
#cmakedefine HAVE_REALLOC 1

/* Define to 1 if you have the `sqrt' function. */
#cmakedefine HAVE_SQRT 1

/* Define to 1 if stdbool.h conforms to C99. */
#cmakedefine HAVE_STDBOOL_H 1

/* Define to 1 if you have the <stddef.h> header file. */
#cmakedefine HAVE_STDDEF_H 1

/* Define to 1 if you have the <stdint.h> header file. */
#cmakedefine HAVE_STDINT_H 1

/* Define to 1 if you have the <stdio.h> header file. */
#cmakedefine HAVE_STDIO_H 1

/* Define to 1 if you have the <stdlib.h> header file. */
#cmakedefine HAVE_STDLIB_H 1

/* Define to 1 if you have the `strchr' function. */
#cmakedefine HAVE_STRCHR 1

/* Define to 1 if you have the <strings.h> header file. */
#cmakedefine HAVE_STRINGS_H 1

/* Define to 1 if you have the <string.h> header file. */
#cmakedefine HAVE_STRING_H 1

/* Define to 1 if you have the `strtol' function. */
#cmakedefine HAVE_STRTOL 1

/* Define to 1 if you have the <sys/stat.h> header file. */
#cmakedefine HAVE_SYS_STAT_H 1

/* Define to 1 if you have the <sys/timeb.h> header file. */
#cmakedefine HAVE_SYS_TIMEB_H 1

/* Define to 1 if you have the <sys/types.h> header file. */
#cmakedefine HAVE_SYS_TYPES_H 1

/* Define to 1 if you have the `trunc' function. */
#cmakedefine HAVE_TRUNC 1

/* Define to 1 if you have the <unistd.h> header file. */
#cmakedefine HAVE_UNISTD_H 1

/* Define to 1 if the system has the type `_Bool'. */
#cmakedefine HAVE__BOOL 1

/* Define to the sub-directory in which libtool stores uninstalled libraries.
   */
#define LT_OBJDIR ".libs/"

/* Define to 1 if your C compiler doesn't accept -c and -o together. */
/* #undef NO_MINUS_C_MINUS_O */

/* Name of package */
#define PACKAGE "adolc"

/* Define to the address where bug reports for this package should be sent. */
#define PACKAGE_BUGREPORT "adol-c@list.coin-or.org"

/* Define to the full name of this package. */
#define PACKAGE_NAME "adolc"

/* Define to the full name and version of this package. */
#define PACKAGE_STRING "adolc ${ADOLC_VERSION}.${ADOLC_SUBVERSION}.${ADOLC_PATCHLEVEL}"

/* Define to the one symbol short name of this package. */
#define PACKAGE_TARNAME "adolc"

/* Define to the home page for this package. */
#define PACKAGE_URL ""

/* Define to the version of this package. */
#define PACKAGE_VERSION "${ADOLC_VERSION}.${ADOLC_SUBVERSION}.${ADOLC_PATCHLEVEL}"

/* The size of `void *', as computed by sizeof. */
#define SIZEOF_VOID_P ${CMAKE_SIZEOF_VOID_P}

/* Define 1 if sparse derivative propagation is to be enabled */
/* #undef SPARSE */

/* Define to 1 if you have the ANSI C header files. */
#define STDC_HEADERS 1

/* Define to 1 if you can safely include both <sys/time.h> and <time.h>. */
#define TIME_WITH_SYS_TIME 1

/* Define to 1 if your <sys/time.h> declares `struct tm'. */
/* #undef TM_IN_SYS_TIME */

/* Version number of package */
#define VERSION "${ADOLC_VERSION}.${ADOLC_SUBVERSION}.${ADOLC_PATCHLEVEL}"

/* Define to rpl_calloc if the replacement function should be used. */
/* #undef calloc */

/* Define to empty if `const' does not conform to ANSI C. */
/* #undef const */

/* Define to `__inline__' or `__inline' if that's what the C compiler
   calls it, or to nothing if 'inline' is not supported under any name.  */
#ifndef __cplusplus
/* #undef inline */
#endif

/* Define to rpl_malloc if the replacement function should be used. */
/* #undef malloc */

/* Define to rpl_realloc if the replacement function should be used. */
/* #undef realloc */

/* Define to `unsigned int' if <sys/types.h> does not define. */
/* #undef size_t */
